org.apache.solr.client.solrj.io.stream

## Class FetchStream

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.TupleStream
  - - org.apache.solr.client.solrj.io.stream.FetchStream

- All Implemented Interfaces:
    Closeable, Serializable, AutoCloseable, Expressible

      public class FetchStream
      extends TupleStream
      implements Expressible

  Iterates over a stream and fetches additional fields from a specified collection. Fetches are done in batches. Syntax: fetch(collection, stream, on="a=b", fl="c,d,e", batchSize="50")
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `zkHost`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FetchStream(StreamExpression expression, StreamFactory factory)`
    `FetchStream(String zkHost, String collection, TupleStream tupleStream, String on, String fieldList, int batchSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<TupleStream>` | `children()`
    `void` | `close()`
    `int` | `getCost()`
    `StreamComparator` | `getStreamSort()`
    `void` | `open()`
    `Tuple` | `read()`
    `void` | `setStreamContext(StreamContext streamContext)`
    `Explanation` | `toExplanation(StreamFactory factory)` Returns an explanation about the stream object
    `StreamExpression` | `toExpression(StreamFactory factory)`

    - ### Methods inherited from class org.apache.solr.client.solrj.io.stream.TupleStream

      `getStreamNodeId, writeStreamClose, writeStreamOpen`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### zkHost

          protected String zkHost

  - ### Constructor Detail

    - #### FetchStream

          public FetchStream(String zkHost,
                             String collection,
                             TupleStream tupleStream,
                             String on,
                             String fieldList,
                             int batchSize)
                      throws IOException

      Throws:
        `IOException`

    - #### FetchStream

          public FetchStream(StreamExpression expression,
                             StreamFactory factory)
                      throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### toExpression

          public StreamExpression toExpression(StreamFactory factory)
                                        throws IOException

      Specified by:
        `toExpression` in interface `Expressible`
      Throws:
        `IOException`

    - #### toExplanation

          public Explanation toExplanation(StreamFactory factory)
                                    throws IOException

      Description copied from interface: `Expressible`
      Returns an explanation about the stream object
      Specified by:
        `toExplanation` in interface `Expressible`
      Specified by:
        `toExplanation` in class `TupleStream`
      Parameters:
        `factory` - Stream factory for this, contains information about the function name
      Returns:
        Explanation about this stream object containing explanations of any child stream objects
      Throws:
        `IOException` - throw on any error

    - #### setStreamContext

          public void setStreamContext(StreamContext streamContext)

      Specified by:
        `setStreamContext` in class `TupleStream`

    - #### children

          public List<TupleStream> children()

      Specified by:
        `children` in class `TupleStream`

    - #### open

          public void open()
                    throws IOException

      Specified by:
        `open` in class `TupleStream`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `TupleStream`
      Throws:
        `IOException`

    - #### read

          public Tuple read()
                     throws IOException

      Specified by:
        `read` in class `TupleStream`
      Throws:
        `IOException`

    - #### getStreamSort

          public StreamComparator getStreamSort()

      Specified by:
        `getStreamSort` in class `TupleStream`

    - #### getCost

          public int getCost()

      Overrides:
        `getCost` in class `TupleStream`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.